{namespace n=GeorgRinger\News\ViewHelpers}
{namespace drk=Drk\Template\ViewHelpers}
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:drk="Drk\Template\ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Pluswerk/PlusDrkBase/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<body>

<f:section name="falmediaimage"><f:spaceless>
    <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: mediaElement.uid, treatIdAsReference: 1, width: 660)}')}</f:variable>
	<figure class="o-media__img   js-slider-item">
		<f:if condition="{mediaElement.link}">
			<f:then>
				<f:link.page pageUid="{mediaElement.link}" target="{n:targetLink(link:mediaElement.link)}">
					<div class="o-media__imageholder clearfix">
						<picture>
							<source media="(max-width: 320px)" srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}">
							<source media="(min-width: 721px)"
									srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}">
							<source media="(min-width: 390px)"
									srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 660)}">
							<img src="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}"
								 alt="{mediaElement.originalResource.alternative}"
								 title="{mediaElement.originalResource.title}"
                                 {imageSize -> f:format.raw()}
								 class="o-media__img lazyload"
                            />
						</picture>
						<noscript>
							<f:image src="{mediaElement.uid}"
									 treatIdAsReference="1"
									 title="{mediaElement.title}"
									 alt="{mediaElement.alt}"
                                     {imageSize -> f:format.raw()}
									 class="c-teaser__img c-teaser__img--left o-media__img"
							/>
						</noscript>
						<f:render partial="Copyright" section="Copyright" arguments="{media: mediaElement}"/>
					</div>
				</f:link.page>
			</f:then>
			<f:else>
				<f:if condition="{settings.detail.media.image.lightbox.enabled}">
					<f:then>
						<div class="o-media__imageholder clearfix">
							<f:if condition="{settings.amp} == 1">
								<f:then>
									<f:image
											alt="{mediaElement.alternative}"
											maxHeight="{settings.detail.media.image.maxHeight}"
											maxWidth="{settings.detail.media.image.maxWidth}"
											src="{mediaElement.uid}"
											title="{mediaElement.title}"
											treatIdAsReference="1"
											additionalAttributes="{
												layout: 'responsive'
											}"/>
								</f:then>
								<f:else>
									<picture>
                                        <source media="(max-width: 320px)" srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}">
                                        <source media="(min-width: 721px)"
                                                srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}">
                                        <source media="(min-width: 390px)"
                                                srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 660)}">
										<img src="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}"
											 alt="{mediaElement.originalResource.alternative}"
											 title="{mediaElement.originalResource.title}"
                                             {imageSize -> f:format.raw()}
											 class="o-media__img lazyload"
                                        />
									</picture>
									<noscript>
										<f:image src="{mediaElement.uid}"
												 treatIdAsReference="1"
												 title="{mediaElement.title}"
												 alt="{mediaElement.alt}"
												 class="c-teaser__img c-teaser__img--left   o-media__img"
										/>
									</noscript>
								</f:else>
							</f:if>
							<f:render partial="Copyright" section="Copyright" arguments="{media: mediaElement}"/>
						</div>
					</f:then>
					<f:else>
						<div class="o-media__imageholder clearfix">
							<f:if condition="{settings.amp} == 1">
								<f:then>
									<f:image
											alt="{mediaElement.alternative}"
											maxHeight="{settings.detail.media.image.maxHeight}"
											maxWidth="{settings.detail.media.image.maxWidth}"
											src="{mediaElement.uid}"
											title="{mediaElement.title}"
											treatIdAsReference="1"
											additionalAttributes="{
												layout: 'responsive'
											}"/>
								</f:then>
								<f:else>
									<picture>
                                        <source media="(max-width: 320px)" srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}">
                                        <source media="(min-width: 721px)"
                                                srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}">
                                        <source media="(min-width: 390px)"
                                                srcset="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 660)}">
										<img src="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: 1, width: 315)}"
											 alt="{mediaElement.originalResource.alternative}"
											 title="{mediaElement.originalResource.title}"
                                             {imageSize -> f:format.raw()}
											 class="o-media__img lazyload" />
									</picture>
									<noscript>
										<f:image src="{mediaElement.uid}"
												 treatIdAsReference="1"
												 title="{mediaElement.title}"
												 alt="{mediaElement.alt}"
												 class="c-teaser__img c-teaser__img--left o-media__img"
										/>
									</noscript>
								</f:else>
							</f:if>
							<f:render partial="Copyright" section="Copyright" arguments="{media: mediaElement}"/>
						</div>
					</f:else>
				</f:if>
			</f:else>
		</f:if>
		<f:if condition="{mediaElement.description}">
			<figcaption class="o-media__caption">
				{mediaElement.description}
			</figcaption>
		</f:if>
	</figure>

</f:spaceless></f:section>

</body>
</html>
